head	1.2;
access;
symbols
	rel-0-2-1:1.1
	before_adj_struct:1.1
	jack:1.1.0.2
	rel-0-1-0:1.1;
locks; strict;
comment	@# @;


1.2
date	2007.03.22.20.55.43;	author robertatwood;	state Exp;
branches;
next	1.1;

1.1
date	2004.04.21.11.33.40;	author robertatwood;	state Exp;
branches;
next	;


desc
@@


1.2
log
@Updated GPL text to reflect new address of Free Software foundation
Prepare to move repository to savannah.nongnu.org
@
text
@
#This file is part of the Variseq program.
#Variseq -- a variable pitch and step sample sequencer
#Copyright (C) 2004  Robert Atwood r.atwood (at) imperial (dot) ac (dot) uk
#
#This program is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License
#as published by the Free Software Foundation; either version 2
#of the License, or (at your option) any later version.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with this program; if not, write to the Free Software
#Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA 
#See the file COPYING for more information
.suffixes:
.suffixes: .C .o
CXX=g++
# Makefile for building under Cygwin 
#NOTE: I could not figure out how to build all the libraries with -mno-cygwin
#and I don't want to spend time on that, If you know how please let me know!
# However, the default configuration for fltk is -mno-cygwin, so this has to be
#changed when configuring fltk, otherwise it will not be compatible with the
#other libraries.

#Also, I found the windows do not behave correctly (the size of the popup is 
#not maintained if it is moved) This only seems to happen on a windows/cygwin
#platform. 


#DEPEND rule copied from gnu make manual
%.d: %.C
	set -e; $(CXX) -MM $(CXXFLAGS) $< \
| sed 's/\($*\)\.o[ :]*/\1.o $@@ : /g' > $@@; \
[ -s $@@ ] || rm -f $@@

.C.o: 
	$(CXX) $(CXXFLAGS) -I/usr/local/include -Wall  -c $<

SOURCES=player.C stretch.C notes.C pattern.C slider.C myFl.C callbacks.C

OBJECTS=$(SOURCES:.C=.o)
DEPEND=$(SOURCES:.C=.d)

LDFLAGS= -L/usr/local/lib
LDLIBS= -mwindows -lfltk -lportaudio -lsndfile  -lole32 -luuid -lcomctl32 -lwsock32 -lsupc++ -lpthread -lsamplerate -lm -lwinmm -static -s 
default : variseq

$(OBJECTS) : Makefile.cygwin

include $(DEPEND)

debug: clean vdeb
new: clean variseq

variseq: $(OBJECTS) 
	$(CXX)  $(CXXFLAGS) -Wall  -o $@@  $(OBJECTS) $(LDFLAGS) $(LDLIBS)

vdeb: $(SOURCES) 
	$(CXX)  -g3 $(CXXFLAGS)   -o $@@  $(SOURCES) $(LDFLAGS) $(LDLIBS) #-lefence

clean:
	rm -f *.o; rm -f variseq rm -f vdeb

depclean: clean
	rm -f $(DEPEND)
@


1.1
log
@Added a Makefile for cygwin
@
text
@d1 19
@

